package com.cpms.project.training.mapper;

import com.cpms.project.training.domain.TTrainRoster;

import java.util.List;
/**
 * 培训签字Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
public interface TTrainRosterMapper 
{
    /**
     * 查询培训签字
     * 
     * @param id 培训签字主键
     * @return 培训签字
     */
    public TTrainRoster selectTTrainRosterById(Long id);

    /**
     * 查询培训签字列表
     * 
     * @param tTrainRoster 培训签字
     * @return 培训签字集合
     */
    public List<TTrainRoster> selectTTrainRosterList(TTrainRoster tTrainRoster);

    /**
     * 新增培训签字
     * 
     * @param tTrainRoster 培训签字
     * @return 结果
     */
    public int insertTTrainRoster(TTrainRoster tTrainRoster);

    /**
     * 修改培训签字
     * 
     * @param tTrainRoster 培训签字
     * @return 结果
     */
    public int updateTTrainRoster(TTrainRoster tTrainRoster);

    /**
     * 删除培训签字
     * 
     * @param id 培训签字主键
     * @return 结果
     */
    public int deleteTTrainRosterById(Long id);

    /**
     * 批量删除培训签字
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTTrainRosterByIds(Long[] ids);
}
